Package: org.apache.groovy.ginq.dsl

## [Java] Class GinqSyntaxError

- org.apache.groovy.ginq.dsl.GinqSyntaxError

-     public class GinqSyntaxError
      extends AssertionError

  Represents GINQ syntax error

  Since:
    4.0.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GinqSyntaxError(String message, Expression expression)`
    `GinqSyntaxError(String message, int line, int column)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public int` | `getColumn()`
    `` | `public int` | `getLine()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AssertionError` | `addSuppressed, equals, fillInStackTrace, getCause, getClass, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, hashCode, initCause, notify, notifyAll, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public GinqSyntaxError(String message, Expression expression)

    - #### public GinqSyntaxError(String message, int line, int column)

  - ### Method Detail

    - #### public int getColumn()

    - #### public int getLine()